subset,rsk-method {oce} | R Documentation

## Subset a Rsk Object

### Description

Subset a rsk object. This function is somewhat analogous to `subset.data.frame`, but subsetting is only permitted by time.

### Usage

    ## S4 method for signature 'rsk'
    subset(x, subset, ...)

### Arguments

`x` | a `rsk` object, i.e. inheriting from `rsk-class`.
`subset` | a condition to be applied to the `data` portion of `x`. See ‘Details’.
`...` | ignored.

### Value

A new `rsk` object.

### Author(s)

Dan Kelley

### See Also

Other things related to `rsk` data: `[[,rsk-method`, `[[<-,rsk-method`, `as.rsk`, `plot,rsk-method`, `read.rsk`, `rsk-class`, `rskPatm`, `rskToc`, `rsk`, `summary,rsk-method`

Other functions that subset `oce` objects: `subset,adp-method`, `subset,adv-method`, `subset,amsr-method`, `subset,argo-method`, `subset,cm-method`, `subset,coastline-method`, `subset,ctd-method`, `subset,echosounder-method`, `subset,lobo-method`, `subset,met-method`, `subset,oce-method`, `subset,odf-method`, `subset,sealevel-method`, `subset,section-method`, `subset,topo-method`

### Examples

    library(oce)
    data(rsk)
    plot(rsk)
    plot(subset(rsk, time < mean(range(rsk[['time']]))))

[Package oce version 0.9-22 Index]